Subject: Re: [PATCH v2] scripts: get_maintainer: steer people away from using file paths

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 11:20:31 -0700

On Wed, 26 Jul 2023 09:45:25 -0700 Linus Torvalds wrote:
> On Wed, 26 Jul 2023 at 09:23, Jakub Kicinski <[email-masked]> wrote:
> > > Nack on that bit.
> > > My recollection is it's Linus' preferred mechanism.  
> >
> > Let Linus speak for himself, hopefully he's okay with throwing
> > in the -f.  
> 
> It's not the '-f' that would be the problem - that's how the script
> used to work long ago, and I still occasionally end up adding the -f
> by habit.
> 
> So removing the auto-guessing of file paths wouldn't be a problem.
> 
> But the annoying warning is wrong.
> 
> I use get_maintainers all the time, and I *only* use it for file
> paths. If I know the commit, I get the list of people from the commit
> itself, so why should I *ever* use that script if I have a patch?

You are special, you presumably use it to find who to report
regressions to, and who to pull into conversations.

This tool is primarily used by _developers_ to find _maintainers_.
I mean *thousands* of developers use it every release to send their
patches.

The tool needs to see the commit message to fish out Fixes tags.

> So the whole "use of get_maintainers is only for patches, and we
> should warn about file paths" is insane.

Hrmpf, hrmpf.

> No. If I get that patch, I will remove the warning. The *only* reason
> for me to ever use that script is for the file path lookup.
> 
>              Linus